//////////////////////////////////////////
//
// NOTE: This is *not* a valid shader file
//
///////////////////////////////////////////
Shader "Shader Graphs/VFX_Ink" {
    Properties {
        _Main_Texture ("Main Texture", 2D) = "white" { }
        _depth_power ("depth power", Float) = 0
        _opacity ("opacity", Float) = 0
        _Noise_Texture ("Noise Texture", 2D) = "white" { }
        _Noise_power ("Noise power", Float) = 0.1
        _Noise_speed ("Noise_speed", Vector) = (0.1,0,0,0)
        _erosion_texture ("erosion texture", 2D) = "white" { }
        _Erosion_Speed ("Erosion Speed", Vector) = (0,0.1,0,0)
        Erosion_Power ("Erosion power", Range(-1, 1)) = 0
        _Main_Color ("Main Color", Color) = (0,0.6784314,0.3921569,1)
        _glow_contrast ("glow contrast", Float) = 3.23
        _glow_color ("glow color", Color) = (0.05660379,0.05660379,0.05660379,0)
        _glow_power ("glow power", Float) = 1
        _QueueOffset ("_QueueOffset", Float) = 0
        _QueueControl ("_QueueControl", Float) = -1
        unity_Lightmaps ("unity_Lightmaps", 2DArray) = "" { }
        unity_LightmapsInd ("unity_LightmapsInd", 2DArray) = "" { }
        unity_ShadowMasks ("unity_ShadowMasks", 2DArray) = "" { }
    }
    SubShader {
        Tags { "DisableBatching" = "False" "QUEUE" = "Transparent" "RenderPipeline" = "UniversalPipeline" "RenderType" = "Transparent" "ShaderGraphShader" = "true" "ShaderGraphTargetId" = "UniversalUnlitSubTarget" "UniversalMaterialType" = "Unlit" }
        Pass {
            Name "Universal Forward"
            Tags { "DisableBatching" = "False" "QUEUE" = "Transparent" "RenderPipeline" = "UniversalPipeline" "RenderType" = "Transparent" "ShaderGraphShader" = "true" "ShaderGraphTargetId" = "UniversalUnlitSubTarget" "UniversalMaterialType" = "Unlit" }
            Blend SrcAlpha OneMinusSrcAlpha, One OneMinusSrcAlpha
            ZWrite Off
            Cull Off
            GpuProgramID 16220
            PlayerProgram "vp" {
                SubProgram "gles3 " {
                    Keywords { "_SCREEN_SPACE_OCCLUSION" }
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixVP[4];
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(1) uniform UnityPerDraw {
                    #endif
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_ObjectToWorld[4];
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_WorldToObject[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LODFade;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_WorldTransformParams;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RenderingLayer;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightData;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightIndices[2];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_ProbesOcclusion;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_DynamicLightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHC;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Min;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Max;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousM[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousMI[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_MotionVectorsParams;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    in highp vec3 in_POSITION0;
                    in highp vec3 in_NORMAL0;
                    in highp vec4 in_TEXCOORD0;
                    in highp vec4 in_TEXCOORD1;
                    in highp vec4 in_COLOR0;
                    out highp vec4 vs_INTERP0;
                    out highp vec4 vs_INTERP1;
                    out highp vec4 vs_INTERP2;
                    out highp vec3 vs_INTERP3;
                    out highp vec3 vs_INTERP4;
                    vec3 u_xlat0;
                    vec4 u_xlat1;
                    float u_xlat6;
                    void main()
                    {
                        u_xlat0.xyz = in_POSITION0.yyy * hlslcc_mtx4x4unity_ObjectToWorld[1].xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[0].xyz * in_POSITION0.xxx + u_xlat0.xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[2].xyz * in_POSITION0.zzz + u_xlat0.xyz;
                        u_xlat0.xyz = u_xlat0.xyz + hlslcc_mtx4x4unity_ObjectToWorld[3].xyz;
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixVP[1];
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[2] * u_xlat0.zzzz + u_xlat1;
                        vs_INTERP3.xyz = u_xlat0.xyz;
                        gl_Position = u_xlat1 + hlslcc_mtx4x4unity_MatrixVP[3];
                        vs_INTERP0 = in_TEXCOORD0;
                        vs_INTERP1 = in_TEXCOORD1;
                        vs_INTERP2 = in_COLOR0;
                        u_xlat0.x = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[0].xyz);
                        u_xlat0.y = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[1].xyz);
                        u_xlat0.z = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[2].xyz);
                        u_xlat6 = dot(u_xlat0.xyz, u_xlat0.xyz);
                        u_xlat6 = max(u_xlat6, 1.17549435e-38);
                        u_xlat6 = inversesqrt(u_xlat6);
                        vs_INTERP4.xyz = vec3(u_xlat6) * u_xlat0.xyz;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    #extension GL_EXT_shader_framebuffer_fetch : enable
                    #endif
                    
                    precision highp float;
                    precision highp int;
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec4 _ScaledScreenParams;
                    uniform 	vec2 _GlobalMipBias;
                    uniform 	vec4 _TimeParameters;
                    uniform 	vec4 _ProjectionParams;
                    uniform 	vec4 _ZBufferParams;
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixVP[4];
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerMaterial {
                    #endif
                    	UNITY_UNIFORM vec2                _Noise_speed;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Noise_Texture_TexelSize;
                    	UNITY_UNIFORM vec4                _Noise_Texture_ST;
                    	UNITY_UNIFORM float                _Noise_power;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Main_Texture_TexelSize;
                    	UNITY_UNIFORM vec4                _Main_Texture_ST;
                    	UNITY_UNIFORM vec4                _Main_Color;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_erosion_texture_TexelSize;
                    	UNITY_UNIFORM vec4                _erosion_texture_ST;
                    	UNITY_UNIFORM float Xhlslcc_UnusedXErosion_Power;
                    	UNITY_UNIFORM float                _depth_power;
                    	UNITY_UNIFORM float                _glow_contrast;
                    	UNITY_UNIFORM vec4                _glow_color;
                    	UNITY_UNIFORM float                _glow_power;
                    	UNITY_UNIFORM vec2                _Erosion_Speed;
                    	UNITY_UNIFORM float                _opacity;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    UNITY_LOCATION(0) uniform highp sampler2D _CameraDepthTexture;
                    UNITY_LOCATION(1) uniform mediump sampler2D _Noise_Texture;
                    UNITY_LOCATION(2) uniform mediump sampler2D _Main_Texture;
                    UNITY_LOCATION(3) uniform mediump sampler2D _erosion_texture;
                    in highp vec4 vs_INTERP0;
                    in highp vec4 vs_INTERP1;
                    in highp vec4 vs_INTERP2;
                    in highp vec3 vs_INTERP3;
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    layout(location = 0) inout highp vec4 SV_Target0;
                    #else
                    layout(location = 0) out highp vec4 SV_Target0;
                    #endif
                    vec4 u_xlat0;
                    bool u_xlatb0;
                    vec3 u_xlat1;
                    bvec3 u_xlatb1;
                    vec3 u_xlat2;
                    bvec3 u_xlatb2;
                    vec3 u_xlat3;
                    vec2 u_xlat4;
                    vec2 u_xlat8;
                    void main()
                    {
                    vec4 hlslcc_FragCoord = vec4(gl_FragCoord.xyz, 1.0/gl_FragCoord.w);
                        u_xlatb0 = 0.0<_ProjectionParams.x;
                        u_xlat4.x = (-hlslcc_FragCoord.y) + _ScaledScreenParams.y;
                        u_xlat0.y = (u_xlatb0) ? u_xlat4.x : hlslcc_FragCoord.y;
                        u_xlat0.x = hlslcc_FragCoord.x;
                        u_xlat0.xy = u_xlat0.xy / _ScaledScreenParams.xy;
                        u_xlat0.z = (-u_xlat0.y) + 1.0;
                        u_xlat0.x = texture(_CameraDepthTexture, u_xlat0.xz, _GlobalMipBias.x).x;
                        u_xlat0.x = _ZBufferParams.x * u_xlat0.x + _ZBufferParams.y;
                        u_xlat0.x = float(1.0) / u_xlat0.x;
                        u_xlat4.x = vs_INTERP3.y * hlslcc_mtx4x4unity_MatrixVP[1].w;
                        u_xlat4.x = hlslcc_mtx4x4unity_MatrixVP[0].w * vs_INTERP3.x + u_xlat4.x;
                        u_xlat4.x = hlslcc_mtx4x4unity_MatrixVP[2].w * vs_INTERP3.z + u_xlat4.x;
                        u_xlat4.x = u_xlat4.x + hlslcc_mtx4x4unity_MatrixVP[3].w;
                        u_xlat0.x = u_xlat0.x * _ProjectionParams.z + (-u_xlat4.x);
                        u_xlat0.x = u_xlat0.x / _depth_power;
                        u_xlat0.x = clamp(u_xlat0.x, 0.0, 1.0);
                        u_xlat1.x = 0.0;
                        u_xlat1.y = vs_INTERP1.x;
                        u_xlat4.xy = u_xlat1.xy + vs_INTERP0.xy;
                        u_xlat1.xy = _Noise_speed.xy * _TimeParameters.xx + vs_INTERP0.xy;
                        u_xlat1.xy = u_xlat1.xy * _Noise_Texture_ST.xy + _Noise_Texture_ST.zw;
                        u_xlat1.xy = texture(_Noise_Texture, u_xlat1.xy, _GlobalMipBias.x).xy;
                        u_xlat4.xy = vec2(_Noise_power) * u_xlat1.xy + u_xlat4.xy;
                        u_xlat4.xy = u_xlat4.xy * _Main_Texture_ST.xy + _Main_Texture_ST.zw;
                        u_xlat4.x = texture(_Main_Texture, u_xlat4.xy, _GlobalMipBias.x).x;
                        u_xlat8.xy = vec2(_Erosion_Speed.x, _Erosion_Speed.y) * _TimeParameters.xx + vs_INTERP0.xy;
                        u_xlat8.xy = u_xlat8.xy * _erosion_texture_ST.xy + _erosion_texture_ST.zw;
                        u_xlat8.x = texture(_erosion_texture, u_xlat8.xy, _GlobalMipBias.x).x;
                        u_xlat8.x = u_xlat8.x + vs_INTERP1.y;
                        u_xlat8.x = clamp(u_xlat8.x, 0.0, 1.0);
                        u_xlat8.x = u_xlat8.x * u_xlat4.x;
                        u_xlat4.x = log2(u_xlat4.x);
                        u_xlat4.x = u_xlat4.x * _glow_contrast;
                        u_xlat4.x = exp2(u_xlat4.x);
                        u_xlat8.x = u_xlat8.x * vs_INTERP2.x;
                        u_xlat8.x = u_xlat8.x * _opacity;
                        SV_Target0.w = u_xlat0.x * u_xlat8.x;
                        SV_Target0.w = clamp(SV_Target0.w, 0.0, 1.0);
                        u_xlat0.xzw = log2(abs(_glow_color.xyz));
                        u_xlat0.xzw = u_xlat0.xzw * vec3(0.416666657, 0.416666657, 0.416666657);
                        u_xlat0.xzw = exp2(u_xlat0.xzw);
                        u_xlat0.xzw = u_xlat0.xzw * vec3(1.05499995, 1.05499995, 1.05499995) + vec3(-0.0549999997, -0.0549999997, -0.0549999997);
                        u_xlatb1.xyz = greaterThanEqual(vec4(0.00313080009, 0.00313080009, 0.00313080009, 0.0), _glow_color.xyzx).xyz;
                        u_xlat2.xyz = _glow_color.xyz * vec3(12.9232101, 12.9232101, 12.9232101);
                        {
                            vec4 hlslcc_movcTemp = u_xlat0;
                            hlslcc_movcTemp.x = (u_xlatb1.x) ? u_xlat2.x : u_xlat0.x;
                            hlslcc_movcTemp.z = (u_xlatb1.y) ? u_xlat2.y : u_xlat0.z;
                            hlslcc_movcTemp.w = (u_xlatb1.z) ? u_xlat2.z : u_xlat0.w;
                            u_xlat0 = hlslcc_movcTemp;
                        }
                        u_xlat1.xyz = log2(abs(_Main_Color.xyz));
                        u_xlat1.xyz = u_xlat1.xyz * vec3(0.416666657, 0.416666657, 0.416666657);
                        u_xlat1.xyz = exp2(u_xlat1.xyz);
                        u_xlat1.xyz = u_xlat1.xyz * vec3(1.05499995, 1.05499995, 1.05499995) + vec3(-0.0549999997, -0.0549999997, -0.0549999997);
                        u_xlatb2.xyz = greaterThanEqual(vec4(0.00313080009, 0.00313080009, 0.00313080009, 0.0), _Main_Color.xyzx).xyz;
                        u_xlat3.xyz = _Main_Color.xyz * vec3(12.9232101, 12.9232101, 12.9232101);
                        {
                            vec3 hlslcc_movcTemp = u_xlat1;
                            hlslcc_movcTemp.x = (u_xlatb2.x) ? u_xlat3.x : u_xlat1.x;
                            hlslcc_movcTemp.y = (u_xlatb2.y) ? u_xlat3.y : u_xlat1.y;
                            hlslcc_movcTemp.z = (u_xlatb2.z) ? u_xlat3.z : u_xlat1.z;
                            u_xlat1 = hlslcc_movcTemp;
                        }
                        u_xlat0.xzw = u_xlat0.xzw + (-u_xlat1.xyz);
                        u_xlat0.xyz = u_xlat4.xxx * u_xlat0.xzw + u_xlat1.xyz;
                        u_xlat0.xyz = u_xlat0.xyz * vs_INTERP2.xyz;
                        SV_Target0.xyz = u_xlat0.xyz * vec3(_glow_power);
                        return;
                    }
                    
                    #endif
                    "
                }
            }
        }
        Pass {
            Name "DepthNormalsOnly"
            Tags { "DisableBatching" = "False" "LIGHTMODE" = "DepthNormalsOnly" "QUEUE" = "Transparent" "RenderPipeline" = "UniversalPipeline" "RenderType" = "Transparent" "ShaderGraphShader" = "true" "ShaderGraphTargetId" = "UniversalUnlitSubTarget" "UniversalMaterialType" = "Unlit" }
            Cull Off
            GpuProgramID 95878
            PlayerProgram "vp" {
                SubProgram "gles3 " {
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixVP[4];
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerDraw {
                    #endif
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_ObjectToWorld[4];
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_WorldToObject[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LODFade;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_WorldTransformParams;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RenderingLayer;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightData;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightIndices[2];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_ProbesOcclusion;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_DynamicLightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHC;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Min;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Max;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousM[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousMI[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_MotionVectorsParams;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    in highp vec3 in_POSITION0;
                    in highp vec3 in_NORMAL0;
                    in highp vec4 in_TEXCOORD0;
                    in highp vec4 in_TEXCOORD1;
                    in highp vec4 in_COLOR0;
                    out highp vec4 vs_INTERP0;
                    out highp vec4 vs_INTERP1;
                    out highp vec4 vs_INTERP2;
                    out highp vec3 vs_INTERP3;
                    out highp vec3 vs_INTERP4;
                    vec3 u_xlat0;
                    vec4 u_xlat1;
                    float u_xlat6;
                    void main()
                    {
                        u_xlat0.xyz = in_POSITION0.yyy * hlslcc_mtx4x4unity_ObjectToWorld[1].xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[0].xyz * in_POSITION0.xxx + u_xlat0.xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[2].xyz * in_POSITION0.zzz + u_xlat0.xyz;
                        u_xlat0.xyz = u_xlat0.xyz + hlslcc_mtx4x4unity_ObjectToWorld[3].xyz;
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixVP[1];
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[2] * u_xlat0.zzzz + u_xlat1;
                        vs_INTERP3.xyz = u_xlat0.xyz;
                        gl_Position = u_xlat1 + hlslcc_mtx4x4unity_MatrixVP[3];
                        vs_INTERP0 = in_TEXCOORD0;
                        vs_INTERP1 = in_TEXCOORD1;
                        vs_INTERP2 = in_COLOR0;
                        u_xlat0.x = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[0].xyz);
                        u_xlat0.y = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[1].xyz);
                        u_xlat0.z = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[2].xyz);
                        u_xlat6 = dot(u_xlat0.xyz, u_xlat0.xyz);
                        u_xlat6 = max(u_xlat6, 1.17549435e-38);
                        u_xlat6 = inversesqrt(u_xlat6);
                        vs_INTERP4.xyz = vec3(u_xlat6) * u_xlat0.xyz;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    #extension GL_EXT_shader_framebuffer_fetch : enable
                    #endif
                    
                    precision highp float;
                    precision highp int;
                    in highp vec3 vs_INTERP4;
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    layout(location = 0) inout highp vec4 SV_Target0;
                    #else
                    layout(location = 0) out highp vec4 SV_Target0;
                    #endif
                    float u_xlat0;
                    void main()
                    {
                        u_xlat0 = dot(vs_INTERP4.xyz, vs_INTERP4.xyz);
                        u_xlat0 = inversesqrt(u_xlat0);
                        SV_Target0.xyz = vec3(u_xlat0) * vs_INTERP4.xyz;
                        SV_Target0.w = 0.0;
                        return;
                    }
                    
                    #endif
                    "
                }
            }
        }
        Pass {
            Name "GBuffer"
            Tags { "DisableBatching" = "False" "LIGHTMODE" = "UniversalGBuffer" "QUEUE" = "Transparent" "RenderPipeline" = "UniversalPipeline" "RenderType" = "Transparent" "ShaderGraphShader" = "true" "ShaderGraphTargetId" = "UniversalUnlitSubTarget" "UniversalMaterialType" = "Unlit" }
            Blend SrcAlpha OneMinusSrcAlpha, One OneMinusSrcAlpha
            ZWrite Off
            Cull Off
            GpuProgramID 136170
        }
    }
Fallback "Hidden/Shader Graph/FallbackError"
CustomEditor "UnityEditor.ShaderGraph.GenericShaderGraphMaterialGUI"
}